[ English | русский | 한국어 (대한민국) | français | Deutsch | español | English (United Kingdom) | Indonesia ]

Compatibility Matrix

All of the OpenStack-Ansible releases are compatible with specific sets of operating systems and their versions. Operating Systems have their own lifecycles, however we may drop their support before end of their EOL because of various reasons:

  • OpenStack requires a higher version of a library (ie. libvirt)

  • Python version

  • specific dependencies

  • etc.

However, we do try to provide upgrade releases where we support both new and old Operating System versions, providing deployers the ability to properly upgrade their deployments to the new Operating System release.

In CI we test upgrades from N to N+1 releases and only for source deployments.

Below you will find the support matrix of Operating Systems for OpenStack-Ansible releases.

Operating System Compatibility Matrix

OpenStack Releases Operating Systems
Ubuntu CentOS Debian Suse
16.04 18.04 20.04 7 8 8 Stream 9 10 11 42 15
Pike source
Queens source
Rocky source
distro
Stein source
distro
Train source
distro
Ussuri source
distro
Victoria source
distro
Wallaby source
distro